org.apache.catalina.deploy

## Interface Injectable

- All Known Implementing Classes:
    ContextEjb, ContextEnvironment, ContextHandler, ContextLocalEjb, ContextResource, ContextResourceEnvRef, ContextResourceLink, ContextService, MessageDestination, MessageDestinationRef, ResourceBase

      public interface Injectable

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInjectionTarget(String injectionTargetName, String jndiName)`
    `List<InjectionTarget>` | `getInjectionTargets()`
    `String` | `getName()`

- - ### Method Detail

    - #### getName

          String getName()

    - #### addInjectionTarget

          void addInjectionTarget(String injectionTargetName,
                                String jndiName)

    - #### getInjectionTargets

          List<InjectionTarget> getInjectionTargets()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.